# Generated by Django 2.0.5 on 2019-09-23 16:00

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('core', '0050_devicetypes_data'),
    ]

    operations = [
        migrations.CreateModel(
            name='ScheduledReportTypes',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('display_name', models.CharField(max_length=100)),
                ('type', models.CharField(max_length=100, unique=True)),
                ('category', models.CharField(choices=[('DEVICES', 'DEVICES')], max_length=10)),
            ],
        ),
        migrations.CreateModel(
            name='UserScheduledReport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('frequency', models.CharField(choices=[('DAILY', 'DAILY'), ('WEEKLY', 'WEEKLY'), ('MONTHLY', 'MONTHLY'), ('YEARLY', 'YEARLY'), ('NEVER', 'NEVER')], max_length=10)),
                ('next_run', models.DateTimeField(blank=True, null=True)),
                ('scheduled_report_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='scheduled_for_users', to='core.ScheduledReportTypes')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='scheduled_reports', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='userscheduledreport',
            unique_together={('user', 'scheduled_report_type')},
        ),
    ]
